// DataItemRead.h
//
// Version	1.0
// Date		10.02.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#ifndef DataItemReadH
#define DataItemReadH

// -------------------------------------------------------------------

#include "../GeneralInclude/BasicTypes.h"
#include "../BasicObjects/RootObject.h"

// -------------------------------------------------------------------

class DataItemRead : public RootObject {

	static ClassId classId;

protected :

	Real* datum;		// give access to DataItemWrite objects
	
public :

	DataItemRead();	
	void initialize(Real* d)
		{ datum = d; }

	DataItemRead(Real* datum);

	Real get()
		{ return *datum;}

	bool isDataItemReadConfigured();
};

// -------------------------------------------------------------------
#endif
