// FssPrototype.h
//
// Version	1.0
// Date		29.05.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// Fine Sun Sensor Class for the AOCS prototype
// -------------------------------------------------------------------

#ifndef FssPrototypeH
#define FssPrototypeH

// -------------------------------------------------------------------

#include "../AocsUnit/AocsUnit.h"

// -------------------------------------------------------------------

class FssPrototype : public AocsUnit {

	unsigned short address;
	unsigned short sa_fss_x;
	unsigned short sa_fss_y;

public:

	FssPrototype(unsigned short address,
					unsigned short subAddressFssX,
					   unsigned short subAddressFssY);

	virtual void initialize();

	virtual void acquireFunctionalData();

	virtual void synchronizeFunctional();
};

// -------------------------------------------------------------------
#endif