// MacsConstants.h
//
// Version	1.0
// Date		14.01.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// Constants related to the MACS bus interface of the units in the 
// AOCS prototype

#ifndef MacsConstantsH
#define MacsConstantsH

// -------------------------------------------------------------------
// MACS protocol constants

#define MACS_BRDC	1			// Broadcast extension
#define MACS_INSTR  6			// Instruction extension
#define MACS_RC		0			// Receive command 
#define MACS_RD		2			// Receive data
#define MACS_TI		4			// Transmit immediate

// -------------------------------------------------------------------
#endif
