// TestCaseRootObject_1.cpp
//
// Version	1.0
// Date		02.01.01
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#include "TestCaseRootObject_1.h"
#include "../../GeneralInclude/ClassId.h"
#define NULL 0

// -------------------------------------------------------------------
TestCaseRootObject_1::TestCaseRootObject_1():
	TestCaseRootObject(ID_ROOTOBJECT*10+1,"TestCaseRootObject_1") {
		return;
}

// -------------------------------------------------------------------
// Objects r1, r2 and r3 are created in the base class.

void TestCaseRootObject_1::runTestCase() {

	if ( r2.getInstanceId() != (r1.getInstanceId()+1) )
	{	setTestResult(TEST_FAILURE, "Incorrect setting of instance identifier");
		return;
	}

	if ( r3.getInstanceId() != (r2.getInstanceId()+1) )
	{	setTestResult(TEST_FAILURE, "Incorrect setting of instance identifier");
		return;
	}

	setTestResult(TEST_SUCCESS,NULL);
	return;
}
