// CyclingControllerModeManager.h
//
// Version  1.0
// Date     04.11.2000
// Author   T. Brown
//
// -------------------------------------------------------------------

#ifndef CyclingControllerModeManagerH
#define CyclingControllerModeManagerH

// -------------------------------------------------------------------

#include "../GeneralInclude/ForwardDeclarations.h"
#include "../ControllerManagement/Controller.h"
#include "../ModeManagement/CyclingModeManager.h"
#include "../ControllerManagement/ControllerModeManager.h"

// -------------------------------------------------------------------

class CyclingControllerModeManager : public CyclingModeManager,
                                     public ControllerModeManager {

public :

    CyclingControllerModeManager(int numberOfModes,
                                 int defaultMode,
                                 int maxNumberOfMonitors);

    // Methods inherited from the ControllerModeManager interface

    virtual void loadControllerList(int mode, ObjectListTemplate<Controller>* controllerList);
    virtual ObjectListTemplate<Controller>* getControllerList();

};

// -------------------------------------------------------------------
#endif // CyclingControllerModeManagerH
