// ConsistencyCheckable.h
//
// Version	1.0
// Date		08.02.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// This is an interface class
// -------------------------------------------------------------------

#ifndef ConsistencyCheckableH
#define ConsistencyCheckableH

// -------------------------------------------------------------------

#include "../GeneralInclude/ForwardDeclarations.h"

// -------------------------------------------------------------------

class ConsistencyCheckable {

public:

	virtual bool doConsistencyCheck()=0;
	virtual RecoveryAction* getRecoveryAction()=0;
	virtual void setRecoveryAction(RecoveryAction* r)=0;
};

// -------------------------------------------------------------------
#endif