// NullRecoveryAction.h
//
// Version	1.0
// Date		10.05.00
// Author	A. Pasetti
//

#ifndef NullRecoveryActionH
#define NullRecoveryActionH

// -------------------------------------------------------------------
// Null recovery action.
// A call to doRecovery is equivalent to a no-op.
// -------------------------------------------------------------------

#include "../FailureRecovery/RecoveryAction.h"

// -------------------------------------------------------------------

class NullRecoveryAction : public RecoveryAction {

public :

	NullRecoveryAction();

	virtual void doRecovery();

};

// -------------------------------------------------------------------
#endif