// ObjectReset.h
//
// Version	1.0
// Date		10.05.00
// Author	A. Pasetti
//

#ifndef ObjectResetH
#define ObjectResetH

// -------------------------------------------------------------------
// Object reset recovery action.
// A call to doRecovery causes the object passed as parameter to the
// constructor to be reset.
// -------------------------------------------------------------------

#include "../FailureRecovery/RecoveryAction.h"
#include "../GeneralInclude/ForwardDeclarations.h"

// -------------------------------------------------------------------

class ObjectReset : public RecoveryAction {

	AocsObject* objectToBeReset;

public :

	ObjectReset(AocsObject* objectToBeReset);

	virtual void doRecovery();

};

// -------------------------------------------------------------------
#endif