// ConfigurationState.cpp
//
// Version	1.0
// Date		26.06.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#include "../GeneralInclude/ClassId.h"
#include "../GeneralInclude/BasicTypes.h"
#include "../GeneralInclude/Constants.h"
#include "../ReconfigurationManagement/ConfigurationState.h"

// -------------------------------------------------------------------

ConfigurationState::ConfigurationState(InstanceId c, int m)
{
	setClassId(ID_CONFIGURATIONSTATE);			

	reconfigurationManagerId = c;
	memoryPad = m;
}

// -------------------------------------------------------------------

ConfigurationState::ConfigurationState()
{
	setClassId(ID_CONFIGURATIONSTATE);			

	reconfigurationManagerId = NULL;
	memoryPad = NULL;
}

