/****************************************************************************
|                   AutoCode/C (TM) Code Generator
|            INTEGRATED SYSTEMS INC.,   SUNNYVALE, CALIFORNIA
*****************************************************************************
rtf filename           : /a/estwns/users/esther/pasetti/cpp_tpl/firsttest.rtf
Filename               : /a/estwns/users/esther/pasetti/cpp_tpl/firsttest.h
Dac filename           : cpp_sdk.dac
Generated on           : Fri Mar  3 12:25:47 2000
Dac file created on    : Fri Mar  3 12:25:47 2000

                AutoCode Procedure Software Development Kit

Procedure Name                   Inputs  Outputs  INFO  States
--------------------------------------------------------------
firsttest                        YES     YES      YES   YES

*/

#ifndef _TOPLEVEL_FIRSTTEST_H_
#define _TOPLEVEL_FIRSTTEST_H_

#include "sa_sys.h"
#include "sa_types.h"



/******* Procedure: firsttest *******/

/***** Inputs type declaration. *****/
struct _firsttest_u {
   RT_FLOAT firsttest_1;
   RT_FLOAT firsttest_2;
};


/***** Outputs type declaration. *****/
struct _firsttest_y {
   RT_FLOAT Summer_1;
};


/***** Private States type declaration. *****/
struct _firsttest_ps {
   RT_FLOAT Delay_S1;
};


/***** States type declaration. *****/
struct _firsttest_s {
   struct _firsttest_ps firsttest_ps[2];
   RT_INTEGER firsttest_x;
};


/***** Info type declaration. *****/
struct _firsttest_info {
   RT_INTEGER iinfo[5];
   RT_FLOAT rinfo[5];
};







// /////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////

//
//
//  CLASS: firsttest_proxy
//
//
class firsttest_proxy
{

/////
///// methods
/////
public:

    
    /////// Default Constructor
    //
    firsttest_proxy();
    
    
    //Function: Execute
    //
    // Abstract: Execute the procedure
    //
    // Parameters: Procedure's input and output variables
    //             Current time may be needed as well.
    //             Interface varies for each procedure.
    //
    // Returns: error status, 0 = no error, 
    //          else see errors in sa_defn.h
    //
    //
    RT_INTEGER Execute(
                    struct _firsttest_u *U,
                    struct _firsttest_y *Y,
                    RT_FLOAT TIME);
                    

/////
/////  private data
/////
private:

    struct _firsttest_ext {
         struct _firsttest_info firsttest_i;
         struct _firsttest_s    firsttest_s_s;
    } m_procdata;
    

};




#endif

