// ModeFactory.cpp 
//
// Version	1.0
// Date		18.09.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// Factory for operational mode framelet
// -------------------------------------------------------------------

// Include framework header files
#include "../ModeManagement/NullModeChangeAction.h"

// Include the factory declaration files
#include "../AocsFactory/ModeFactory.h"

// -------------------------------------------------------------------

ModeFactory::ModeFactory()
{
	nullModeChangeAction = new NullModeChangeAction();
}

// -------------------------------------------------------------------

ModeChangeAction* ModeFactory::makeNullModeChangeAction()
{
	return nullModeChangeAction;
}

