// TestCaseAocsObject_2.cpp
//
// Version	1.0
// Date		06.01.01
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#include "TestCaseAocsObject_2.h"
#include "../../GeneralInclude/ClassId.h"
#include "../../GeneralInclude/Constants.h"
#include "../../BasicObjects/AocsObject.h"

// -------------------------------------------------------------------
TestCaseAocsObject_2::TestCaseAocsObject_2():
	TestCaseAocsObject(ID_AOCSOBJECT*10+2,"TestCaseAocsObject_2") {
		return;
}

// -------------------------------------------------------------------

void TestCaseAocsObject_2::runTestCase() {

	TelemetryFormat fmt=shortTm;

	a2.setTelemetryFormat(fmt);
	if (a2.getTelemetryFormat() != shortTm)
	{	setTestResult(TEST_FAILURE, "Incorrect setting of TM format");
		return;
	}

	fmt = normalTm;
	a2.setTelemetryFormat(fmt);
	if (a2.getTelemetryFormat() != normalTm)
	{	setTestResult(TEST_FAILURE, "Incorrect setting of TM format");
		return;
	}

	fmt = longTm;
	a2.setTelemetryFormat(fmt);
	if (a2.getTelemetryFormat() != longTm)
	{	setTestResult(TEST_FAILURE, "Incorrect setting of TM format");
		return;
	}

	fmt = debugTm;
	a2.setTelemetryFormat(fmt);
	if (a2.getTelemetryFormat() != debugTm)
	{	setTestResult(TEST_FAILURE, "Incorrect setting of TM format");
		return;
	}

	setTestResult(TEST_SUCCESS,NULL);
	return;
}
