// FollowerControllerModeManager.h
//
// Version  1.0
// Date     04.11.2000
// Author   T. Brown
//
// -------------------------------------------------------------------

#ifndef FollowerControllerModeManagerH
#define FollowerControllerModeManagerH

// -------------------------------------------------------------------

#include "../GeneralInclude/ForwardDeclarations.h"
#include "../ControllerManagement/Controller.h"
#include "../ModeManagement/FollowerModeManager.h"
#include "../ControllerManagement/ControllerModeManager.h"

// -------------------------------------------------------------------

class FollowerControllerModeManager : public FollowerModeManager,
                                      public ControllerModeManager
{

ObjectListTemplate<Controller>* oldControllerList;

public :

    // Constructor
    FollowerControllerModeManager(int numberOfModes,
                                   int maxNumberOfMonitors,
                                     ModeManager* masterModeManager);

    // Configuration method to load the implementers
    virtual void loadControllerList
        (int mode, ObjectListTemplate<Controller>* controllerList);

    // Strategy getter methods
    virtual ObjectListTemplate<Controller>* getControllerList();

};

#endif // FollowerControllerModeManagerH