// FlushMacsBuffers.h 
//
// Version	1.0
// Date		04.08.00
// Author	A. Pasetti
// -------------------------------------------------------------------
//
// Utility routines to process the MACS buffers.
// Each MACS buffer is an array of 24 'unsigned short' variables.
// See routine 'saveMacs' in AocsTestHarness for the meaning of the
// individual data words.
// -------------------------------------------------------------------

#include <stdio.h>  
#include "../AocsPrototypeTest/AocsTestHarness.h"

// -------------------------------------------------------------------

// Send the content of the MACS buffers collected by the test harness
// to the ooutput file 'out'

void flushMacsBuffers(FILE* out, AocsTestHarness* aocsTestHarness); 
