// memcpyCpp.cpp
//
// Version	1.0
// Date		26.09.00
// Author	A. Pasetti
// -------------------------------------------------------------------
//
// This is a C++ implementation of the standard memcpy routine. It is
// provided as a workaround because memcpy does not appear to work in
// the ERC32 simulator environment. The routine should have the same 
// signature and should have the same behaviour as memcpy. 
//
// -------------------------------------------------------------------
// Copy numberOfBytes bytes from source to dest

void memcpyCpp(char* dest, char* source, int numberOfBytes)
{
	for (int i=0; i<numberOfBytes; i++)
		dest[i]=source[i];
}