// Property.h 
//
// Version	1.0
// Date		29.03.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
//
// Encapsulation of a generic property
//
// -------------------------------------------------------------------

#ifndef PropertyH
#define PropertyH

// -------------------------------------------------------------------

#include "../GeneralInclude/BasicTypes.h"
#include "../BasicObjects/RootObject.h"

// -------------------------------------------------------------------

class Property : public RootObject {

	Real* realDatum;
	int* intDatum;
	bool* boolDatum;
	int selector;
	PropertyId propertyId;

public :

	Property();
	Property(Real* datum, PropertyId p);
	Property(int* datum, PropertyId p);
	Property(bool* datum, PropertyId p);
	
	PropertyId getPropertyId();

	Real get();
};

// -------------------------------------------------------------------
#endif