// TestCaseXmathUcbBlock_1.h
//
// Version	1.0
// Date		27.01.01
// Author	A. Pasetti
//
// -------------------------------------------------------------------
//
// Test case to check UCB block 'firsttest'
//
// -------------------------------------------------------------------

#ifndef TestCaseXmathUcbBlock_1H
#define TestCaseXmathUcbBlock_1H

#include "../../GeneralUtilities/TestCaseGenericSetUp.h"
#include "../../Xmath/Include.h"

// -------------------------------------------------------------------
// Declare global variables from UCB routines
extern "C" VAR_FLOAT integratorinit;
extern "C" VAR_FLOAT integratorgain;
extern "C" VAR_FLOAT starttime;
extern "C" VAR_FLOAT slope;

// -------------------------------------------------------------------
// Declare UCB routines
extern "C" void firsttest_ucbhook(int*,Real*,Real*,int*,Real*,Real*,
			int*,Real*,int*,Real*,int*);
// -------------------------------------------------------------------

class TestCaseXmathUcbBlock_1 : public TestCaseGenericSetUp {

public :

	TestCaseXmathUcbBlock_1();

	virtual void runTestCase();
};

// -------------------------------------------------------------------

#endif