// TestCaseXmathUcbBlock_3.h
//
// Version	1.0
// Date		27.01.01
// Author	A. Pasetti
//
// -------------------------------------------------------------------
//
// Test case to check UCB block 'ramptest'
//
// -------------------------------------------------------------------

#ifndef TestCaseXmathUcbBlock_3H
#define TestCaseXmathUcbBlock_3H

#include "../../GeneralUtilities/TestCaseGenericSetUp.h"
#include "../../Xmath/Include.h"

// -------------------------------------------------------------------
// Declare global variables from UCB routines
extern "C" VAR_FLOAT integratorinit;
extern "C" VAR_FLOAT integratorgain;
extern "C" VAR_FLOAT starttime;
extern "C" VAR_FLOAT slope;

// -------------------------------------------------------------------
// Declare UCB routines
extern "C" void ramp_ucbhook(int*,Real*,Real*,int*,Real*,Real*,
			int*,Real*,int*,Real*,int*);

// -------------------------------------------------------------------

class TestCaseXmathUcbBlock_3 : public TestCaseGenericSetUp {

public :

	TestCaseXmathUcbBlock_3();

	virtual void runTestCase();
};

// -------------------------------------------------------------------

#endif