// TelemetryFormatTelecommand.h
//
// Version	1.0
// Date		05.08.00
// Author	A. Pasetti

#ifndef TelemetryFormatTelecommandH
#define TelemetryFormatTelecommandH

// -------------------------------------------------------------------
// Telecommand to change the operational mode of a mode manager.
// -------------------------------------------------------------------

#include "../GeneralInclude/ForwardDeclarations.h"
#include "../GeneralInclude/BasicTypes.h"
#include "../TelecommandManagement/Telecommand.h"

// -------------------------------------------------------------------

class TelemetryFormatTelecommand : public Telecommand {

	Telemeterable* telemeterable;
	TelemetryFormat newFormat;

public :

	TelemetryFormatTelecommand(AocsTime timeTag, 
								Telemeterable* t, 
								 TelemetryFormat n);

	virtual EventType execute();
};

// -------------------------------------------------------------------
#endif