// TelemetryModeManager.h
//
// Version	1.0
// Date		07.04.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// This is an interface class.
//
// -------------------------------------------------------------------

#ifndef TelemetryModeManagerH
#define TelemetryModeManagerH

// -------------------------------------------------------------------

#include "../GeneralInclude/ForwardDeclarations.h"

// -------------------------------------------------------------------

class TelemetryModeManager {

public :

	virtual void loadTelemetryList
		(int mode, ObjectListTemplate<Telemeterable>* tmList)=0;

	virtual ObjectListTemplate<Telemeterable>* getTelemetryList()=0;
};

// -------------------------------------------------------------------
#endif
