/****************************************************************************
|                   AutoCode/C (TM) Code Generator
|            INTEGRATED SYSTEMS INC.,   SUNNYVALE, CALIFORNIA
*****************************************************************************
rtf filename           : /a/estwns/users/esther/pasetti/c_tpl/firsttest.rtf
Filename               : /a/estwns/users/esther/pasetti/c_tpl/firsttest.h
Dac filename           : c_sdk.dac
Generated on           : Fri Mar  3 12:27:39 2000
Dac file created on    : Fri Mar  3 12:27:39 2000

                AutoCode Procedure Software Development Kit

Procedure Name                   Inputs  Outputs  INFO  States
--------------------------------------------------------------
firsttest                        YES     YES      YES   YES

*/

#ifndef _TOPLEVEL_FIRSTTEST_H_
#define _TOPLEVEL_FIRSTTEST_H_

#include "sa_sys.h"
#include "sa_types.h"



/******* Procedure: firsttest *******/

/***** Inputs type declaration. *****/
struct _firsttest_u {
   RT_FLOAT firsttest_1;
   RT_FLOAT firsttest_2;
};


/***** Outputs type declaration. *****/
struct _firsttest_y {
   RT_FLOAT Summer_1;
};


/***** Private States type declaration. *****/
struct _firsttest_ps {
   RT_FLOAT Delay_S1;
};


/***** States type declaration. *****/
struct _firsttest_s {
   struct _firsttest_ps firsttest_ps[2];
   RT_INTEGER firsttest_x;
};


/***** Info type declaration. *****/
struct _firsttest_info {
   RT_INTEGER iinfo[5];
   RT_FLOAT rinfo[5];
};






/* *********************************************************************
   ************************ I N T E R F A C E S ************************
   *********************************************************************
*/

/*
**
**  Interfaces to: firsttest
**
*/

struct _firsttest_ext {
     struct _firsttest_info firsttest_i;
     struct _firsttest_s    firsttest_s_s;
};


/* Function: firsttest_Initialize
**
** Abstract: Initialize procedure's private data
**
** Parameters: _idata (in) : ptr to an instance of
**                           procedure's interface data
**
*/ 
extern void firsttest_Initialize(struct _firsttest_ext *_idata);




/* Function: firsttest_Execute
**
** Abstract: Execute the procedure
**
** Parameters: Procedure's input and output variables
**             Instance of interface structure
**             Current time may be needed as well.
**             Interface varies for each procedure.
**
** Returns: error status, 0 = no error, 
**          else see errors in sa_defn.h
**
*/
extern RT_INTEGER firsttest_Execute(
                    struct _firsttest_u *U,
                    struct _firsttest_y *Y,
                    RT_FLOAT TIME,
                    struct _firsttest_ext *_idata);
                    





#endif

